
function fburgerclf(choice,L,a_left,a_right,s,dx,dt,T,interval,pt);


% This function is called by burgerclf.m and is used in the GUI burgerclf.fig 

% This code calculates the solution to the nonlinear burger's equation in
% conservation form using leap frog. The initial condition is a front based
% on arctan(x). The description of the inputs can be found in burger.inf or
% burger-inf.tex

     
      %disp(' This code computes the solution for the burger equation ')
      %disp(' u_t + (0.5*u^2)_x = 0 ; -L < x < L, 0 < t < T '  )
      %disp(' u(x,0) = q arctan(s*x)+r ')
      %disp(' using leap frog. ')
      %disp('  ')
      %disp(' Give the value for the initial condition at ')
      %disp(' a_left and a_right. ')
    
      %a_left = input(' a_left ');
      %a_right = input(' a_right ');
      cmax=max(abs(a_left),abs(a_right));

      %s = input(' Give s ');

      %L = input(' Give  L. ');

    %T = input(' Give the time T to run the model. ');
 
    %dx = input(' Give the grid size. ');
    %dt = input(' Give the time step. ');

    tsteps = T/dt;  % number of time steps

      %disp(' Give an integer indicating how often a snapshot ')
      %disp(' of the profile should be taken. ')
      %Interval=input(' ');
      
%
% Set up the parameters for the leap frog scheme.
%

        jmax = (2*L)/dx;
        lambda1 = dt/dx;
        lambda2 = dt/(2.*dx);
        r = (a_left+a_right)/2;
        q = (a_right-a_left)/pi;

        for j=1:jmax
          x(j) = -L+j*dx;
          u0(j) = q*atan(s*x(j))+r;
          u1(j) = u0(j);
          u2(j) = u1(j);
        end     

        %Mf = moviein(tsteps);
        %Mp = moviein(tsteps);
% ************************** First Choice***********************
if choice == 2
   
      for j = 1:jmax
        for k = 1:2
          z(k,j) = u0(j);
        end
      end
        pcolor(z);
        %Mf(:,1) = getframe;
        %plot(x,u0);
        %Mp(:,1) = getframe;
        pause(pt);
% Start the calculations.
% The first time step is calculated using forward euler in time
      for j=2:jmax-1
           u1(j)=u0(j)-lambda2*0.5*(u0(j+1)*u0(j+1)-u0(j-1)*u0(j-1));
      end
      count = 0;
      for i=2:tsteps
            %disp(' time step ')
            %i
            count=count+1;
          for j=2:jmax-1
                u2(j)=u0(j)-lambda1*0.5*(u1(j+1)*u1(j+1)-u1(j-1)*u1(j-1));
          end
% Create the snapshots.
            if (count == interval)
               for j = 1:jmax
                   for k = 1:2
                   z(k,j) = u2(j);
                   end
               end
               pcolor(z);
               pause(pt);
               count = 0;
 
            end
%
%  Update the calculations in time
%
          for j=1:jmax
                u0(j)=u1(j);
                u1(j)=u2(j);
          end

       end

%********************Other choice*******************
else
    for j = 1:jmax
        for k = 1:2
          z(k,j) = u0(j);
        end
    end        
        plot(x,u0);
        pause(pt);

% Start the calculations.
% The first time step is calculated using forward euler in time

    for j=2:jmax-1
        u1(j)=u0(j)-lambda2*0.5*(u0(j+1)*u0(j+1)-u0(j-1)*u0(j-1));
    end
    count = 0;
    for i=2:tsteps
          %disp(' time step ')
           %i
           count=count+1;
       for j=2:jmax-1
           u2(j)=u0(j)-lambda1*0.5*(u1(j+1)*u1(j+1)-u1(j-1)*u1(j-1));
       end
% Create the snapshots.
       if (count == interval)
          for j = 1:jmax
            for k = 1:2
              z(k,j) = u2(j);
            end
          end
        plot(x,u2);
        count = 0;
        pause(pt);
       end
%
%  Update the calculations in time
%
          for j=1:jmax
            u0(j)=u1(j);
            u1(j)=u2(j);
          end

      end    
end